Package csb :: Package apps :: Module embd :: Class Deconvolution

[frames] | no frames]

# Class Deconvolution

source code

    object --+
             |
            Deconvolution

Blind deconvolution for n-dimensional images.

Instance Methods

__init__(self, data, psf_size, beta_x=1e-10, beta_f=1e-10, cache=True) x.__init__(...) initializes x; see help(type(x)) for signature | source code

calculate_image(self, cache=False) | source code

eval_corr(self, cache=False) | source code

eval_loss(self, cache=False) | source code

run(self, iterations) Run multiple iterations. | source code

run_once(self) Run a single iteration. | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
| beta_f
| beta_x
| correlation Current correlation value.
| data
| loss Current loss value.
Inherited from `object`: `__class__`

Method Details

### __init__(self, data, psf_size, beta_x=1e-10, beta_f=1e-10, cache=True)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `data` (array) - EM density map data (data field of csb.bio.io.mrc.DensityInfo)
  - `psf_size` (ints) - point spread function size
  - `beta_x` (float) - hyperparameters of sparseness constraints
  - `beta_f` (float) - hyperparameters of sparseness constraints
Overrides: object.__init__
  (inherited documentation)

### run(self, iterations)

source code

Run multiple iterations.

Parameters:
  - `iterations` (int) - number of iterations to run

Property Details

### beta_f

Get Method:
  unreachable.beta_f(self)

### beta_x

Get Method:
  unreachable.beta_x(self)

### correlation

Current correlation value.

Get Method:
  unreachable.correlation(self) - Current correlation value.

### data

Get Method:
  unreachable.data(self)

### loss

Current loss value.

Get Method:
  unreachable.loss(self) - Current loss value.